package de.ivu.elect.business.wahlbeteiligung.control;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import de.ivu.elect.business.replikation.boundary.ReplikationErzeugen;
import de.ivu.elect.business.wahlbeteiligung.entity.WahlbeteiligungVerlauf;

@Specializes
public class WasWahlbeteiligungVerlaufCreate extends WahlbeteiligungVerlaufCreate {

  @Inject
  private transient ReplikationErzeugen replikationErzeugen;

  @Override
  public void save(WahlbeteiligungVerlauf entity) {

    super.save(entity);

    if (replikationErzeugen.isReplikationNotwendig()) {
      replikationErzeugen.replikationWahlbeteiligungVerlauf(entity);
    }
  }



}
